com.trendmicro.ds.platform.rest.object.smartfolder

## Class QuerySummary

- java.lang.Object
- - com.trendmicro.ds.platform.rest.object.smartfolder.QuerySummary

-     public class QuerySummary
      extends java.lang.Object

  Details of a Query

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `QuerySummary()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDisplayKey()` Gets the readable string representation of the query key.
    `java.lang.String` | `getDisplayOperator()` Gets the readable string representation of the query operator.
    `Model.Key` | `getKey()` Gets the key that specifies the type of Query.
    `Model.Operator` | `getOperator()` Gets The operator of the Query.
    `java.lang.String` | `getSecondaryDisplayOperator()` Gets the readable string representation of secondary operator.
    `Model.Operator` | `getSecondaryOperator()` Gets the secondary operator of the Query.
    `java.lang.String` | `getSecondaryValue()` Gets The secondary value of the Query.
    `java.lang.String` | `getValue()` Gets the value of the Query.
    `void` | `setDisplayKey(java.lang.String displayKey)` Sets the readable string representation of the query key.
    `void` | `setDisplayOperator(java.lang.String displayOperator)` Sets the readable string representation of the query operator.
    `void` | `setKey(Model.Key key)` Sets the key that specifies the type of Query.
    `void` | `setOperator(Model.Operator operator)` Sets the operator of the Query.
    `void` | `setSecondaryDisplayOperator(java.lang.String secondaryDisplayOperator)` Sets the readable string representation of secondary operator.
    `void` | `setSecondaryOperator(Model.Operator secondaryOperator)` Sets the secondary operator of the Query.
    `void` | `setSecondaryValue(java.lang.String secondaryValue)` Sets the secondary value of the Query
    `void` | `setValue(java.lang.String value)` Sets the value of the Query.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### QuerySummary

          public QuerySummary()

  - ### Method Detail

    - #### getKey

          public Model.Key getKey()

      Gets the key that specifies the type of Query.
      Returns:
        The key that specifies the type of Query.

    - #### setKey

          public void setKey(Model.Key key)

      Sets the key that specifies the type of Query.
      Parameters:
        `key` - The key that specifies the type of Query.

    - #### getDisplayKey

          public java.lang.String getDisplayKey()

      Gets the readable string representation of the query key.
      Returns:
        The readable string representation of the query key.

    - #### setDisplayKey

          public void setDisplayKey(java.lang.String displayKey)

      Sets the readable string representation of the query key.
      Parameters:
        `displayKey` - The readable string representation of the query key.

    - #### getOperator

          public Model.Operator getOperator()

      Gets The operator of the Query.
      Returns:
        The operator of the Query.

    - #### setOperator

          public void setOperator(Model.Operator operator)

      Sets the operator of the Query.
      Parameters:
        `operator` - The operator of the Query.

    - #### getDisplayOperator

          public java.lang.String getDisplayOperator()

      Gets the readable string representation of the query operator.
      Returns:
        The readable string representation of the query operator.

    - #### setDisplayOperator

          public void setDisplayOperator(java.lang.String displayOperator)

      Sets the readable string representation of the query operator.
      Parameters:
        `displayOperator` - the readable string representation of the query operator.

    - #### getValue

          public java.lang.String getValue()

      Gets the value of the Query.
      Returns:
        The value of the Query.

    - #### setValue

          public void setValue(java.lang.String value)

      Sets the value of the Query.
      Parameters:
        `value` - The value of the Query.

    - #### getSecondaryOperator

          public Model.Operator getSecondaryOperator()

      Gets the secondary operator of the Query.
      Returns:
        The secondary operator of the Query.

    - #### setSecondaryOperator

          public void setSecondaryOperator(Model.Operator secondaryOperator)

      Sets the secondary operator of the Query.
      Parameters:
        `secondaryOperator` - The secondary operator of the Query.

    - #### getSecondaryDisplayOperator

          public java.lang.String getSecondaryDisplayOperator()

      Gets the readable string representation of secondary operator.
      Returns:
        The readable string representation of secondary operator.

    - #### setSecondaryDisplayOperator

          public void setSecondaryDisplayOperator(java.lang.String secondaryDisplayOperator)

      Sets the readable string representation of secondary operator.
      Parameters:
        `secondaryDisplayOperator` - the readable string representation of secondary operator.

    - #### getSecondaryValue

          public java.lang.String getSecondaryValue()

      Gets The secondary value of the Query.
      Returns:
        The secondary value of the Query.

    - #### setSecondaryValue

          public void setSecondaryValue(java.lang.String secondaryValue)

      Sets the secondary value of the Query
      Parameters:
        `secondaryValue` - The secondary value of the Query

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2017 Trend Micro Inc. All Rights Reserved.